package vibcalc;


import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Color;

import java.awt.GridBagLayout;

import javax.swing.SwingUtilities;
import java.awt.Point;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JMenuItem;
import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JFrame;
import javax.swing.JDialog;
import java.awt.GridBagConstraints;
import javax.swing.JTextField;
import java.awt.Insets;
import java.awt.Rectangle;
import java.awt.Cursor;
import java.text.DecimalFormat;
import javax.swing.JRadioButton;
import java.awt.Dimension;

/////////////////////*CALCULATIONS OF VIBRATION*//////////////////////
//																	//
//         		p = k*(Math.pow(d/(Math.sqrt(w)), a));				//
//				k = p/(Math.pow(d/(Math.sqrt(w)), a));				//
//				d = Math.pow(p/k, 1/a)*Math.sqrt(w);				//
//				w = Math.pow(p/k, -2/a)*Math.pow(d, 2);				//
//				a = Math.log(p/k)/Math.log(d/Math.sqrt(w));			//	
//																	//
//////////////////////////////////////////////////////////////////////

// This Program was written as a refresher attempt to wet my fingers once again in Java.
// It is a simple program used to calculate the various aspects of the Vibration formula used in blasting.
// Completed on Tuesday 8th July 2008 @ 2200HRS.
// Written by Brent Buffham.
// Equations re-ordered by Brent Buffham (however the "a = Math.log(p/k)/Math.log(d/Math.sqrt(w))" was re-ordered by Chris Horgan.
// 


public class Vibration_Calculator {

	private JFrame jFrame = null;
	private JPanel jContentPane = null;
	private JMenuBar jJMenuBar = null;
	private JMenu fileMenu = null;
	private JMenu helpMenu = null;
	private JMenuItem exitMenuItem = null;
	private JMenuItem aboutMenuItem = null;
	private JDialog aboutDialog = null;  //  @jve:decl-index=0:visual-constraint="400,89"
	private JPanel aboutContentPane = null;
	private JLabel aboutVersionLabel = null;
	private JLabel pLabel = null;
	private JLabel kLabel = null;
	private JLabel dLabel = null;
	private JLabel wLabel = null;
	private JLabel aLabel = null;
	private JTextField pTextField = null;
	private JTextField kTextField = null;
	private JTextField dTextField = null;
	private JTextField wTextField = null;
	private JTextField aTextField = null;
	private JLabel mmsUnitLabel = null;
	private JLabel mLabel = null;
	private JLabel kgLabel = null;
	
	
	
	private double p = 3.58551;
	private double k = 3000;
	private double d = 300;
	private double w = 20;
	private double a = -1.6;
	
	DecimalFormat dec0p = new DecimalFormat("#0");
	DecimalFormat dec1p = new DecimalFormat("#0.0");
	DecimalFormat dec2p = new DecimalFormat("#0.00");
	String pForm = dec2p.format(p);				
	String kForm = dec2p.format(k);
	String dForm = dec2p.format(d);
	String wForm = dec2p.format(w);
	String aForm = dec2p.format(a);
	private JRadioButton pRadio = null;
	private JRadioButton kRadio = null;
	private JRadioButton dRadio = null;
	private JRadioButton wRadio = null;
	private JRadioButton aRadio = null;
	private JLabel writtenByLabel = null;
	private JLabel dateCompleteLabel = null;
	
	public void calcs(){
		if (pRadio.isSelected()) {
			p = k* (Math.pow(d / (Math.sqrt(w)),a));
			pTextField.setText(dec2p.format(p));
			getPTextField().setForeground(Color.black);
		}
		if (kRadio.isSelected()) {
			k = p / (Math.pow(d / (Math.sqrt(w)), a));
			kTextField.setText(dec2p.format(k));
			getPTextField().setForeground(Color.black);
		}
		else if (dRadio.isSelected()) {
			d = Math.pow(p / k, 1 / a) * Math.sqrt(w);
			dTextField.setText(dec2p.format(d));
			getDTextField().setForeground(Color.black);
		}
		else if (wRadio.isSelected()) {
			w = Math.pow(p / k, -2 / a) * Math.pow(d, 2);
			wTextField.setText(dec2p.format(w));
			getWTextField().setForeground(Color.black);
		}
		else if (aRadio.isSelected()) {
			a = Math.log(p / k) / Math.log(d / Math.sqrt(w));
			aTextField.setText(dec2p.format(a));
			getATextField().setForeground(Color.black);
		}

	}
	
	/////TEXTFIELD METHODS ( THESE AFFECT WHAT HAPPENS IN THE TEXTFIELD)
	private JTextField getPTextField() {
		if (pTextField == null) {
			pTextField = new JTextField();
			pTextField.setText((pForm));
			pTextField.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					try {
						getPTextField().setForeground(Color.BLACK);
						p = Double.parseDouble(pTextField.getText());
						calcs();
						
					} catch (NumberFormatException nfe) {
						getPTextField().setForeground(Color.red);
				
					}
				}
			});
		}	
		return pTextField;
	}

	private JTextField getKTextField() {
		if (kTextField == null) {
			kTextField = new JTextField();
			kTextField.setText(kForm);
			kTextField.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					try {
						getKTextField().setForeground(Color.BLACK);
						k = Double.parseDouble(kTextField.getText());
						calcs();
						
					} catch (NumberFormatException nfe) {
						getKTextField().setForeground(Color.red);
				
					}
				}
			});
		}
		return kTextField;
	}

	private JTextField getDTextField() {
		if (dTextField == null) {
			dTextField = new JTextField();
			dTextField.setText(dForm);
			dTextField.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					try {
						getDTextField().setForeground(Color.BLACK);
						d = Double.parseDouble(dTextField.getText());
						calcs();
						
					} catch (NumberFormatException nfe) {
						getDTextField().setForeground(Color.red);
				
					}
				}
			});
		}
		return dTextField;
	}

	private JTextField getWTextField() {
		if (wTextField == null) {
			wTextField = new JTextField();
			wTextField.setText(wForm);
			wTextField.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					try {
						getWTextField().setForeground(Color.BLACK);
						w = Double.parseDouble(wTextField.getText());
						calcs();
						
					} catch (NumberFormatException nfe) {
						getWTextField().setForeground(Color.red);
				
					}
				}
			});
		}
		return wTextField;
	}

	private JTextField getATextField() {
		if (aTextField == null) {
			aTextField = new JTextField();
			aTextField.setText(aForm);
			aTextField.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					try {
						getATextField().setForeground(Color.BLACK);
						a = Double.parseDouble(aTextField.getText());
						calcs();
						
					} catch (NumberFormatException nfe) {
						getATextField().setForeground(Color.red);
				
					}
				}
			});
		}
		return aTextField;
	}

/////// RADIO BUTTON METHODS
	private JRadioButton getPRadio() {
		if (pRadio == null) {
			pRadio = new JRadioButton();
			pRadio.setSelected(true);
			getPTextField().setBackground(Color.LIGHT_GRAY);
			pRadio.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					if ( pRadio.isSelected() == true) {
						getPTextField().setBackground(Color.LIGHT_GRAY);
						getKTextField().setBackground(Color.WHITE);
						getDTextField().setBackground(Color.WHITE);
						getWTextField().setBackground(Color.WHITE);
						getATextField().setBackground(Color.WHITE);
						
						getPTextField().setEditable(false);
						getKTextField().setEditable(true);
						getDTextField().setEditable(true);
						getWTextField().setEditable(true);
						getATextField().setEditable(true);

						kRadio.setSelected(false);
						dRadio.setSelected(false);
						wRadio.setSelected(false);
						aRadio.setSelected(false);

					}
				}
			});
		}
		return pRadio;
	}

	private JRadioButton getKRadioButton() {
		if (kRadio == null) {
			kRadio = new JRadioButton();
			kRadio.setSelected(false);
			kRadio.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					if ( kRadio.isSelected() == true) {
						getPTextField().setBackground(Color.WHITE);
						getKTextField().setBackground(Color.LIGHT_GRAY);
						getDTextField().setBackground(Color.WHITE);
						getWTextField().setBackground(Color.WHITE);
						getATextField().setBackground(Color.WHITE);
						
						getPTextField().setEditable(true);
						getKTextField().setEditable(false);
						getDTextField().setEditable(true);
						getWTextField().setEditable(true);
						getATextField().setEditable(true);

						pRadio.setSelected(false);
						dRadio.setSelected(false);
						wRadio.setSelected(false);
						aRadio.setSelected(false);

					}
				}
			});
		}
		return kRadio;
	}

	
	private JRadioButton getDRadioButton() {
		if (dRadio == null) {
			dRadio = new JRadioButton();
			dRadio.setSelected(false);
			dRadio.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					if ( dRadio.isSelected() == true) {
						getPTextField().setBackground(Color.WHITE);
						getKTextField().setBackground(Color.WHITE);
						getDTextField().setBackground(Color.LIGHT_GRAY);
						getWTextField().setBackground(Color.WHITE);
						getATextField().setBackground(Color.WHITE);
						
						getPTextField().setEditable(true);
						getKTextField().setEditable(true);
						getDTextField().setEditable(false);
						getWTextField().setEditable(true);
						getATextField().setEditable(true);

						pRadio.setSelected(false);
						kRadio.setSelected(false);
						wRadio.setSelected(false);
						aRadio.setSelected(false);
						

					}
				}
			});
		}
		return dRadio;
	}

	
	private JRadioButton getWRadio() {
		if (wRadio == null) {
			wRadio = new JRadioButton();
			wRadio.setSelected(false);
			wRadio.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					if ( wRadio.isSelected() == true) {
						getPTextField().setBackground(Color.WHITE);
						getKTextField().setBackground(Color.WHITE);
						getDTextField().setBackground(Color.WHITE);
						getWTextField().setBackground(Color.LIGHT_GRAY);
						getATextField().setBackground(Color.WHITE);
						
						getPTextField().setEditable(true);
						getKTextField().setEditable(true);
						getDTextField().setEditable(true);
						getWTextField().setEditable(false);
						getATextField().setEditable(true);

						pRadio.setSelected(false);
						kRadio.setSelected(false);
						dRadio.setSelected(false);
						aRadio.setSelected(false);

					}
				}
			});
		}
		return wRadio;
	}

	/**
	 * This method initializes aRadio	
	 * 	
	 * @return javax.swing.JRadioButton	
	 */
	private JRadioButton getARadio() {
		if (aRadio == null) {
			aRadio = new JRadioButton();
			aRadio.setSelected(false);
			aRadio.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					if ( aRadio.isSelected() == true) {
						getPTextField().setBackground(Color.WHITE);
						getKTextField().setBackground(Color.WHITE);
						getDTextField().setBackground(Color.WHITE);
						getWTextField().setBackground(Color.WHITE);
						getATextField().setBackground(Color.LIGHT_GRAY);
						
						getPTextField().setEditable(true);
						getKTextField().setEditable(true);
						getDTextField().setEditable(true);
						getWTextField().setEditable(true);
						getATextField().setEditable(false);

						pRadio.setSelected(false);
						kRadio.setSelected(false);
						dRadio.setSelected(false);
						wRadio.setSelected(false);

					}
				}
			});
		}
		return aRadio;
	}

	public static void main(String[] args) {

		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				Vibration_Calculator vCalc = new Vibration_Calculator();
				vCalc.getJFrame().setVisible(true);
			
			}
		});
	}

	/**
	 * This method initializes jFrame
	 * 
	 * @return javax.swing.JFrame
	 */
	private JFrame getJFrame() {
		if (jFrame == null) {
			jFrame = new JFrame();
			jFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			jFrame.setBounds(new Rectangle(0, 22, 340, 200));
			jFrame.setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
			jFrame.setJMenuBar(getJJMenuBar());
			jFrame.setContentPane(getJContentPane());
			jFrame.setTitle("Vibration Calculator");
		}
		return jFrame;
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			GridBagConstraints gridBagConstraints51 = new GridBagConstraints();
			gridBagConstraints51.gridx = 0;
			gridBagConstraints51.anchor = GridBagConstraints.EAST;
			gridBagConstraints51.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints51.gridy = 4;
			GridBagConstraints gridBagConstraints41 = new GridBagConstraints();
			gridBagConstraints41.gridx = 0;
			gridBagConstraints41.anchor = GridBagConstraints.EAST;
			gridBagConstraints41.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints41.gridy = 3;
			GridBagConstraints gridBagConstraints31 = new GridBagConstraints();
			gridBagConstraints31.gridx = 0;
			gridBagConstraints31.anchor = GridBagConstraints.EAST;
			gridBagConstraints31.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints31.gridy = 2;
			GridBagConstraints gridBagConstraints21 = new GridBagConstraints();
			gridBagConstraints21.gridx = 0;
			gridBagConstraints21.anchor = GridBagConstraints.EAST;
			gridBagConstraints21.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints21.gridy = 1;
			GridBagConstraints gridBagConstraints12 = new GridBagConstraints();
			gridBagConstraints12.gridx = 0;
			gridBagConstraints12.anchor = GridBagConstraints.EAST;
			gridBagConstraints12.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints12.gridy = 0;
			GridBagConstraints gridBagConstraints10 = new GridBagConstraints();
			gridBagConstraints10.gridx = 3;
			gridBagConstraints10.anchor = GridBagConstraints.WEST;
			gridBagConstraints10.insets = new Insets(0, 0, 0, 6);
			gridBagConstraints10.gridy = 3;
			kgLabel = new JLabel();
			kgLabel.setText("kgs");
			GridBagConstraints gridBagConstraints9 = new GridBagConstraints();
			gridBagConstraints9.gridx = 3;
			gridBagConstraints9.anchor = GridBagConstraints.WEST;
			gridBagConstraints9.insets = new Insets(0, 0, 0, 6);
			gridBagConstraints9.gridy = 2;
			mLabel = new JLabel();
			mLabel.setText("m");
			GridBagConstraints gridBagConstraints8 = new GridBagConstraints();
			gridBagConstraints8.gridx = 3;
			gridBagConstraints8.anchor = GridBagConstraints.WEST;
			gridBagConstraints8.insets = new Insets(0, 0, 0, 6);
			gridBagConstraints8.gridy = 0;
			mmsUnitLabel = new JLabel();
			mmsUnitLabel.setText("mm/s");
			GridBagConstraints gridBagConstraints7 = new GridBagConstraints();
			gridBagConstraints7.fill = GridBagConstraints.HORIZONTAL;
			gridBagConstraints7.gridy = 4;
			gridBagConstraints7.weightx = 1.0;
			gridBagConstraints7.insets = new Insets(0, 6, 0, 6);
			gridBagConstraints7.gridx = 2;
			GridBagConstraints gridBagConstraints6 = new GridBagConstraints();
			gridBagConstraints6.fill = GridBagConstraints.HORIZONTAL;
			gridBagConstraints6.gridy = 3;
			gridBagConstraints6.weightx = 1.0;
			gridBagConstraints6.insets = new Insets(0, 6, 0, 6);
			gridBagConstraints6.gridx = 2;
			GridBagConstraints gridBagConstraints5 = new GridBagConstraints();
			gridBagConstraints5.fill = GridBagConstraints.HORIZONTAL;
			gridBagConstraints5.gridy = 2;
			gridBagConstraints5.weightx = 1.0;
			gridBagConstraints5.insets = new Insets(0, 6, 0, 6);
			gridBagConstraints5.gridx = 2;
			GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
			gridBagConstraints4.fill = GridBagConstraints.HORIZONTAL;
			gridBagConstraints4.gridy = 1;
			gridBagConstraints4.weightx = 1.0;
			gridBagConstraints4.insets = new Insets(0, 6, 0, 6);
			gridBagConstraints4.gridx = 2;
			GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
			gridBagConstraints3.fill = GridBagConstraints.HORIZONTAL;
			gridBagConstraints3.gridy = 0;
			gridBagConstraints3.weightx = 1.0;
			gridBagConstraints3.insets = new Insets(0, 6, 0, 6);
			gridBagConstraints3.gridx = 2;
			GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
			gridBagConstraints2.gridx = 1;
			gridBagConstraints2.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints2.anchor = GridBagConstraints.EAST;
			gridBagConstraints2.gridy = 4;
			aLabel = new JLabel();
			aLabel.setText("Site Constant A Value");
			GridBagConstraints gridBagConstraints11 = new GridBagConstraints();
			gridBagConstraints11.gridx = 1;
			gridBagConstraints11.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints11.anchor = GridBagConstraints.EAST;
			gridBagConstraints11.gridy = 3;
			wLabel = new JLabel();
			wLabel.setText("Weight Value");
			GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
			gridBagConstraints1.gridx = 1;
			gridBagConstraints1.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints1.anchor = GridBagConstraints.EAST;
			gridBagConstraints1.gridy = 2;
			dLabel = new JLabel();
			dLabel.setText("Distance Value");
			GridBagConstraints gridBagConstraints = new GridBagConstraints();
			gridBagConstraints.gridx = 1;
			gridBagConstraints.insets = new Insets(0, 6, 0, 0);
			gridBagConstraints.anchor = GridBagConstraints.EAST;
			gridBagConstraints.gridy = 1;
			kLabel = new JLabel();
			kLabel.setText("Site Constant K value");
			GridBagConstraints gridBagConstraintsA = new GridBagConstraints();
			gridBagConstraintsA.gridx = 1;
			gridBagConstraintsA.insets = new Insets(0, 6, 0, 0);
			gridBagConstraintsA.anchor = GridBagConstraints.EAST;
			gridBagConstraintsA.gridy = 0;
			pLabel = new JLabel();
			pLabel.setText("Peak Particle Velocity (PPV)");
			jContentPane = new JPanel();
			jContentPane.setLayout(new GridBagLayout());
			jContentPane.add(pLabel, gridBagConstraintsA);
			jContentPane.add(kLabel, gridBagConstraints);
			jContentPane.add(dLabel, gridBagConstraints1);
			jContentPane.add(wLabel, gridBagConstraints11);
			jContentPane.add(aLabel, gridBagConstraints2);
			jContentPane.add(getPTextField(), gridBagConstraints3);
			jContentPane.add(getKTextField(), gridBagConstraints4);
			jContentPane.add(getDTextField(), gridBagConstraints5);
			jContentPane.add(getWTextField(), gridBagConstraints6);
			jContentPane.add(getATextField(), gridBagConstraints7);
			jContentPane.add(mmsUnitLabel, gridBagConstraints8);
			jContentPane.add(mLabel, gridBagConstraints9);
			jContentPane.add(kgLabel, gridBagConstraints10);
			jContentPane.add(getPRadio(), gridBagConstraints12);
			jContentPane.add(getKRadioButton(), gridBagConstraints21);
			jContentPane.add(getDRadioButton(), gridBagConstraints31);
			jContentPane.add(getWRadio(), gridBagConstraints41);
			jContentPane.add(getARadio(), gridBagConstraints51);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jJMenuBar	
	 * 	
	 * @return javax.swing.JMenuBar	
	 */
	private JMenuBar getJJMenuBar() {
		if (jJMenuBar == null) {
			jJMenuBar = new JMenuBar();
			jJMenuBar.add(getFileMenu());
			jJMenuBar.add(getHelpMenu());
		}
		return jJMenuBar;
	}

	/**
	 * This method initializes jMenu	
	 * 	
	 * @return javax.swing.JMenu	
	 */
	private JMenu getFileMenu() {
		if (fileMenu == null) {
			fileMenu = new JMenu();
			fileMenu.setText("File");
			fileMenu.add(getExitMenuItem());
		}
		return fileMenu;
	}

	/**
	 * This method initializes jMenu	
	 * 	
	 * @return javax.swing.JMenu	
	 */
	private JMenu getHelpMenu() {
		if (helpMenu == null) {
			helpMenu = new JMenu();
			helpMenu.setText("Help");
			helpMenu.add(getAboutMenuItem());
		}
		return helpMenu;
	}

	/**
	 * This method initializes jMenuItem	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getExitMenuItem() {
		if (exitMenuItem == null) {
			exitMenuItem = new JMenuItem();
			exitMenuItem.setText("Exit");
			exitMenuItem.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					System.exit(0);
				}
			});
		}
		return exitMenuItem;
	}

	/**
	 * This method initializes jMenuItem	
	 * 	
	 * @return javax.swing.JMenuItem	
	 */
	private JMenuItem getAboutMenuItem() {
		if (aboutMenuItem == null) {
			aboutMenuItem = new JMenuItem();
			aboutMenuItem.setText("About");
			aboutMenuItem.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					JDialog aboutDialog = getAboutDialog();
					aboutDialog.pack();
					Point loc = getJFrame().getLocation();
					loc.translate(20, 20);
					aboutDialog.setLocation(loc);
					aboutDialog.setVisible(true);
				}
			});
		}
		return aboutMenuItem;
	}

	/**
	 * This method initializes aboutDialog	
	 * 	
	 * @return javax.swing.JDialog
	 */
	private JDialog getAboutDialog() {
		if (aboutDialog == null) {
			aboutDialog = new JDialog(getJFrame(), true);
			aboutDialog.setTitle("About");
			aboutDialog.setSize(new Dimension(215, 104));
			aboutDialog.setContentPane(getAboutContentPane());
		}
		return aboutDialog;
	}

	/**
	 * This method initializes aboutContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getAboutContentPane() {
		if (aboutContentPane == null) {
			GridBagConstraints gridBagConstraints15 = new GridBagConstraints();
			gridBagConstraints15.gridx = 0;
			gridBagConstraints15.insets = new Insets(4, 6, 6, 6);
			gridBagConstraints15.gridy = 2;
			dateCompleteLabel = new JLabel();
			dateCompleteLabel.setText("Tuesday 8th July 2008");
			GridBagConstraints gridBagConstraints14 = new GridBagConstraints();
			gridBagConstraints14.gridx = 0;
			gridBagConstraints14.insets = new Insets(4, 6, 4, 6);
			gridBagConstraints14.gridy = 1;
			GridBagConstraints gridBagConstraints13 = new GridBagConstraints();
			gridBagConstraints13.gridx = 0;
			gridBagConstraints13.insets = new Insets(6, 6, 4, 6);
			gridBagConstraints13.gridy = 0;
			writtenByLabel = new JLabel();
			writtenByLabel.setText("Written by Brent Buffham");
			aboutContentPane = new JPanel();
			aboutContentPane.setLayout(new GridBagLayout());
			aboutContentPane.add(getAboutVersionLabel(), gridBagConstraints14);
			aboutContentPane.add(writtenByLabel, gridBagConstraints13);
			aboutContentPane.add(dateCompleteLabel, gridBagConstraints15);
		}
		return aboutContentPane;
	}

	/**
	 * This method initializes aboutVersionLabel	
	 * 	
	 * @return javax.swing.JLabel	
	 */
	private JLabel getAboutVersionLabel() {
		if (aboutVersionLabel == null) {
			aboutVersionLabel = new JLabel();
			aboutVersionLabel.setText("Beta Version 1.0");
		
		}
		return aboutVersionLabel;
	}

}
